

import 'package:flutter/material.dart';
import 'package:geideadesignframework/style_config.dart';

class MonstserratText extends StatefulWidget {
  MonstserratText({Key key, this.text, this.color, this.fontSize = 14.0, this.textAlign})
      : super(key: key);

  final String text;
  final Color color;
  final double fontSize;
  final TextAlign textAlign;

  @override
  _MonstserratTextState createState() => _MonstserratTextState();
}

class _MonstserratTextState extends State<MonstserratText> {
  @override
  Widget build(BuildContext context) {
    return Text(widget.text,
        textAlign: widget.textAlign,
        style: TextStyle(
            color: widget.color ?? styleConfig.theme.accentColor,
            fontSize: widget.fontSize ?? styleConfig.mainFontSize,
            fontFamily: styleConfig.fontFamily,
        ));
  }
}
